function mbscalar(a)
%MBSCALAR Must be scalar.
%	The statement
%
%	    mbscalar(x)
%
%	asserts that, at that point in the computation, the varible x 
%	has size 1-by-1.  If this assertion is false, an error occurs;
%	if this assertion is true, the computation proceeds.
%
%	See also MBINT, MBREAL, MBVECTOR, MBINTSCALAR, MBREALSCALAR.

if any( size(a) ~= [1 1] ),
	error( 'argument of mbscalar must be scalar' );
end
